using System;
using System.Windows.Forms;
using fomm.Scripting;

class Script : BaseScript
{
    public static bool OnActivate()
    {
        // ensure fose is loaded
        Version requiredFose = new Version(0, 1, 1, 9);
        if (GetFoseVersion() < requiredFose)
        {
            MessageBox("This mod requires FOSE v " + requiredFose + " or higher. You have " + GetFoseVersion() + ". Please update from http://fose.silverlock.org");
            return false;
        }
        // ensure console enabled
        if (GetFalloutIniInt("Interface", "bAllowConsole") == 0)
        {
            EditFalloutINI("Interface", "bAllowConsole", "1", true);
        }
        DialogResult iniEdit = MessageBox("Do you wish to modify the ini to ensure console cursor is visible?", "Ini change", MessageBoxButtons.YesNo);
        if (iniEdit == DialogResult.Yes)
        {

            // orig 940 on my system
            EditFalloutINI("Menu", "iConsoleTextYPos", "700", true);
            // orig 30 on my system - editing xpos seems to have no effect
            //EditFalloutINI("Menu", "iConsoleTextXPos", "200", true);
        }

        //Install all files from the fomod and activate any esps
        PerformBasicInstall();
        return true;
    }
}
